#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	Libraries for the mp3splt project
Summary(pl.UTF-8):	Biblioteki do projektu mp3splt
Name:		libmp3splt
Version:	0.9.1
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/mp3splt/%{name}-%{version}.tar.gz
# Source0-md5:	742f9fb4806df909c0ba25919bf9bb4f
Patch0:		ltdl.patch
URL:		http://mp3splt.sourceforge.net/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.2.1
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	libid3tag-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	pcre-devel >= 1.0
BuildRequires:	pkgconfig
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mp3Splt project provides utilities to split mp3 and ogg files, by
selecting a begin and an end time position, without decoding. It is
very useful to split large mp3/ogg into smaller files, or to split
entire albums to obtain original tracks. To split an album, the split
points and filenames can be selected manually or automatically from
CDDB (internet or a local file), or from .cue files.

It supports automatic silence detection, which can be used to adjust
cddb/cue split points. It is also possible to extract tracks from
Mp3Wrap or AlbumWrap files in a few seconds.

%description -l pl.UTF-8
Projekt mp3Splt dostarcza narzędzi umożliwiających dzielenie plików w
formacie mp3 i ogg poprzez zaznaczenie pozycji początku i końca
dzielenia, bez potrzeby dekodowania. Dzielenie dużych plików mp3/ogg
na mniejsze części jest bardzo użyteczne, można w ten sposób dzielić
całe albumy by otrzymać oryginalne ścieżki. Żeby podzielić album
punkty podziału i nazwy plików mogą zostać wybrane ręcznie lub
automatycznie z wykorzystaniem CDDB (z Internetu lub lokalnie), albo z
plików .cue.

Projekt wspiera automatyczne wykrywanie ciszy, które może zostać
wykorzystane do ustawienia punktów podziału cddb/cue. Jest również
możliwe wyciągnięcie ścieżek z plików Mp3Wrap lub AlbumWrap w ciągu
kilku sekund.

%package devel
Summary:	Header files for libmp3splt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmp3splt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmp3splt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmp3splt.

%package static
Summary:	Static libmp3splt library
Summary(pl.UTF-8):	Statyczna biblioteka libmp3splt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmp3splt library.

%description static -l pl.UTF-8
Statyczna biblioteka libmp3splt.

%package apidocs
Summary:	libmp3splt API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmp3splt
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libmp3splt library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmp3splt.

%prep
%setup -q
%patch0 -p1
sed -i -e 's/fr_FR/fr/;s/de_DE/de/;' po/LINGUAS
mv po/de_DE.po po/de.po
mv po/fr_FR.po po/fr.po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-flac \
	--enable-id3tag \
	--enable-mp3 \
	--enable-ogg \
	--enable-pcre \
	--with-ltdl-lib=%{_libdir} \
	--with-ltdl-include=%{_includedir} \
	%{!?with_static_libs:--disable-static}

%{__make}
%if %{with apidocs}
%{__make} -C doc doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmp3splt0/*.{a,la}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%find_lang libmp3splt0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libmp3splt0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libmp3splt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp3splt.so.0
%dir %{_libdir}/libmp3splt0
%attr(755,root,root) %{_libdir}/libmp3splt0/libsplt_flac.so
%attr(755,root,root) %{_libdir}/libmp3splt0/libsplt_mp3.so
%attr(755,root,root) %{_libdir}/libmp3splt0/libsplt_ogg.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libmp3splt.so
%{_libdir}/libmp3splt.la
%{_includedir}/libmp3splt
%{_pkgconfigdir}/libmp3splt.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmp3splt.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/doxygen/*
%endif
%changelog
* Sun Sep 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmp3splt.git;a=log;h=master

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> 0195b02
- flac rebuild

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> ade6505
- unconditional noarch subpackages

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 54070f9
- updated gettext BR

* Sun May 18 2014 Jan Palus <atler@pld-linux.org> 89c1843
- up to 0.9.1
- format_security patch applied upstream

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> b8374f8
- noarch apidocs

* Sun Mar 23 2014 Jan Palus <jan.palus@gmail.com> 46b9ce1
- up to 0.9.0
- updated BRs
- library renamed to include soname
- patch for format security errors

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b7dc48b
- release 3

* Tue Mar 15 2011 Artur Frysiak <artur@frysiak.net> 33c620b
- added missing dir
- locale fix
- rel. 2

* Tue Mar 15 2011 Artur Frysiak <artur@frysiak.net> 6c40695
- Rel. 1

* Tue Mar 15 2011 Artur Frysiak <artur@frysiak.net> 3d7d8b6
- drop ltdl bcond
- added apidocs bcond
- added -avoid-version for plugins
- removed plugins from devel and static subpackage

* Tue Mar 15 2011 duddits <duddits@pld-linux.org> 4accb07
- clean up

* Tue Mar 15 2011 duddits <duddits@pld-linux.org> 84e828a
- new, based on fedora's, adapterized

